> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Batch Output

> Get output of a specific batch process



## OpenAPI

````yaml /gateway-openapi.json get /batches/{id}/output
openapi: 3.0.0
info:
  title: LLM Gateway
  description: API for LLM Gateway
  version: 1.0.0
servers:
  - url: https://{gatewayBaseURL}
    variables:
      gatewayBaseURL:
        default: gateway.truefoundry.ai
        description: Gateway base URL
    description: Gateway base URL
security:
  - AuthorizationBearer: []
tags:
  - name: Chat
  - name: Agent
  - name: Messages
  - name: MCP
  - name: Embeddings
  - name: Rerank
  - name: Responses
  - name: Image
  - name: Audio
  - name: Batch
  - name: Files
  - name: Fine-tuning
  - name: Moderations
  - name: Models
paths:
  /batches/{id}/output:
    get:
      tags:
        - Batch
      summary: Get Batch Output
      description: Get output of a specific batch process
      parameters:
        - schema:
            type: string
            description: Batch ID.
          required: true
          name: id
          in: path
        - schema:
            type: string
            description: Optional metadata for the request
          required: false
          name: x-tfy-metadata
          in: header
        - schema:
            type: string
            description: Name of the provider
          required: false
          name: x-tfy-provider-name
          in: header
        - schema:
            type: string
            description: Azure OpenAI API version for the deployment
          required: false
          name: x-tfy-azure-api-version
          in: header
        - schema:
            type: string
            description: Vertex AI storage bucket name
          required: false
          name: x-tfy-vertex-storage-bucket-name
          in: header
        - schema:
            type: string
            description: Vertex AI region (e.g., europe-west4)
          required: false
          name: x-tfy-vertex-region
          in: header
        - schema:
            type: string
            description: Provider-specific model identifier
          required: false
          name: x-tfy-provider-model
          in: header
        - schema:
            type: string
            description: AWS S3 bucket name (Bedrock batch)
          required: false
          name: x-tfy-aws-s3-bucket
          in: header
        - schema:
            type: string
            description: AWS Bedrock model identifier
          required: false
          name: x-tfy-aws-bedrock-model
          in: header
      responses:
        '200':
          description: Batch output retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: Batch request ID.
                    custom_id:
                      type: string
                      description: Custom ID for the request.
                    response:
                      type: object
                      properties:
                        status_code:
                          type: number
                          description: HTTP status code of the response.
                        request_id:
                          type: string
                          description: Unique request ID.
                        body:
                          type: object
                          properties:
                            id:
                              type: string
                              description: ID of the chat completion.
                            object:
                              type: string
                              description: Object type.
                            created:
                              type: number
                              description: Creation timestamp.
                            model:
                              type: string
                              description: Model used.
                            choices:
                              type: array
                              items:
                                type: object
                                properties:
                                  index:
                                    type: number
                                    description: Index of the choice.
                                  message:
                                    type: object
                                    properties:
                                      role:
                                        type: string
                                        description: Role of the message sender.
                                      content:
                                        type: string
                                        description: Message content.
                                      refusal:
                                        description: Refusal details, if any.
                                      annotations:
                                        type: array
                                        items: {}
                                        description: Annotations for the message.
                                    required:
                                      - role
                                      - content
                                      - annotations
                                  logprobs:
                                    description: Log probabilities.
                                  finish_reason:
                                    type: string
                                    description: Reason for finishing the response.
                                required:
                                  - index
                                  - message
                                  - finish_reason
                            usage:
                              type: object
                              properties:
                                prompt_tokens:
                                  type: number
                                  description: Number of prompt tokens.
                                completion_tokens:
                                  type: number
                                  description: Number of completion tokens.
                                total_tokens:
                                  type: number
                                  description: Total number of tokens.
                                prompt_tokens_details:
                                  type: object
                                  properties:
                                    cached_tokens:
                                      type: number
                                      description: Number of cached tokens.
                                    audio_tokens:
                                      type: number
                                      description: Number of audio tokens.
                                  required:
                                    - cached_tokens
                                    - audio_tokens
                                completion_tokens_details:
                                  type: object
                                  properties:
                                    reasoning_tokens:
                                      type: number
                                      description: Number of reasoning tokens.
                                    audio_tokens:
                                      type: number
                                      description: Number of audio tokens.
                                    accepted_prediction_tokens:
                                      type: number
                                      description: Number of accepted prediction tokens.
                                    rejected_prediction_tokens:
                                      type: number
                                      description: Number of rejected prediction tokens.
                                  required:
                                    - reasoning_tokens
                                    - audio_tokens
                                    - accepted_prediction_tokens
                                    - rejected_prediction_tokens
                              required:
                                - prompt_tokens
                                - completion_tokens
                                - total_tokens
                                - prompt_tokens_details
                                - completion_tokens_details
                            service_tier:
                              type: string
                              description: Service tier.
                            system_fingerprint:
                              description: System fingerprint.
                          required:
                            - id
                            - object
                            - created
                            - model
                            - choices
                            - usage
                            - service_tier
                        error:
                          description: Error details, if any.
                      required:
                        - status_code
                        - request_id
                        - body
                      description: Response details.
                    error:
                      description: Error details, if any.
                  required:
                    - id
                    - custom_id
                    - response
        '404':
          description: Batch not found
components:
  securitySchemes:
    AuthorizationBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````